package cz.muni.sutralog.database

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.ForeignKey
import androidx.room.PrimaryKey


@Entity(foreignKeys = [ForeignKey(entity = RockEntity::class, parentColumns = ["id"], childColumns = ["rockId"], onDelete = ForeignKey.CASCADE)])
class PhotoEntity (
    @PrimaryKey(autoGenerate = true)
    val id: Long,
    @ColumnInfo(name = "rockId")
    var rockId: Long = 0,
    val path: String = ""
    )